package com.chinaitop.depot.intelligent.fumigation.service;

import com.chinaitop.depot.intelligent.fumigation.model.TFumigationProcess;
import com.chinaitop.depot.intelligent.fumigation.model.TFumigationProcessExample;

import java.util.List;
import java.util.Map;

/**
 * @author lvzhikai
 * @description: 熏蒸作业
 * @create 2019-1-15 11:00
 */
public interface FumigationProcessService {

    List<Map<String,Object>> getFumigationProcessList(Map<String, Object> map);

    void add(TFumigationProcess tFumigationProcess);

    void update(TFumigationProcess tFumigationProcess);

    TFumigationProcess findById(String processId);

    void updateByExample(TFumigationProcess tFumigationProcess, TFumigationProcessExample example);

    //根据熏蒸方案id查询熏蒸作业过程数据
    List<TFumigationProcess> getDataByFumId(TFumigationProcessExample example);
}
